Skip to main content
POST
/
shell-docs
/
{namespace}
/
grep
Shell Docs Grep
curl --request POST \
  --url https://apigcp.trynia.ai/v2/shell-docs/{namespace}/grep \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "pattern": "<string>",
  "path": "",
  "case_sensitive": false,
  "whole_word": false,
  "fixed_string": false,
  "max_total_matches": 100,
  "max_matches_per_file": 10,
  "context_lines": 3,
  "lines_before": 123,
  "lines_after": 123,
  "output_mode": "content",
  "multiline_content": false
}
'
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.trynia.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key must be provided in the Authorization header

Path Parameters

namespace
string
required

Body

application/json
pattern
string
required

Regex pattern

path
string
default:""

Path prefix filter

case_sensitive
boolean
default:false
whole_word
boolean
default:false
fixed_string
boolean
default:false
max_total_matches
integer
default:100
Required range: 1 <= x <= 10000
max_matches_per_file
integer
default:10
Required range: 1 <= x <= 100
context_lines
integer
default:3
Required range: 0 <= x <= 10
lines_before
integer | null
lines_after
integer | null
output_mode
string
default:content

content|files_with_matches|count

multiline_content
boolean
default:false

Response

Successful Response